

inline Foam::DeviceStream::DeviceStream()
{
    HIP_CALL(hipStreamCreate(&stream_));
}


inline Foam::DeviceStream::~DeviceStream()
{
    HIP_CALL(hipStreamDestroy(stream_));
}


inline void Foam::DeviceStream::synchronize() const
{
    HIP_CALL(hipStreamSynchronize(stream_));
}

inline hipStream_t Foam::DeviceStream::operator()() const
{
    return stream_;
}
